I see this product is software to be installed on windows computer, do I need to install any additional software on my Fiery device?

No, the only requirements for your Fiery device are as follows:
1. Fiery is system 8/8e or higher
2. Fiery has IPP printing enabled
3. Fiery has the Print queue and the Printed queue enabled (note these are enabled by default).